Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding.meta
Interface NamedDefinition

All Superinterfaces:
  Definition

All Known Subinterfaces:
  AccessorDefinition, AttributeDefinition, DataControlDefinition, MethodReturnDefinition, OperationDefinition, ParameterDefinition, StructureDefinition, VariableDefinition

All Known Implementing Classes:
  BaseAttributeDefinition, BaseValueObjectDefinition

public interface NamedDefinition
extends Definition

Interface for holding named metadata.

Field Summary

Fields inherited from interface oracle.binding.meta.Definition
`TYPE_ACCESSOR, TYPE_ATTRIBUTE, TYPE_DATACONTROL, TYPE_DEFINITION, TYPE_DEFINITIONCONTEXT, TYPE_METHODRETURN, TYPE_NAMED, TYPE_OPERATION, TYPE_PARAMETER, TYPE_STRUCTURE, TYPE_VARIABLE`

Method Summary
`Definition` | `getDefinitionParent()` Returns the parent of this metadata definition, which is the Definition that contains this Definition.
`java.lang.String` | `getFullName()` Returns the full name of this Definition, which includes the name of any parent objects.
`java.lang.String` | `getName()` Returns the name of this Definition.
`java.util.Hashtable` | `getProperties()` Gets the table of properties.
`java.lang.Object` | `getProperty(java.lang.String propertyName)` Retrieves the value of a property with the given name.

Methods inherited from interface oracle.binding.meta.Definition
`getDefinitionType`

Method Detail

### getDefinitionParent

    public Definition getDefinitionParent()

  Returns the parent of this metadata definition, which is the Definition that contains this Definition. For example, the parent of an AttributeDefinition could be a StructureDefinition if the attribute is contained in the structure.
  Returns:
    The parent Definition

### getName

    public java.lang.String getName()

  Returns the name of this Definition.
  Returns:
    Name of this Definition.

### getFullName

    public java.lang.String getFullName()

  Returns the full name of this Definition, which includes the name of any parent objects. The full name should reflect the runtime nesting level.
  Returns:
    Full name of this Definition.

### getProperty

    public java.lang.Object getProperty(java.lang.String propertyName)

  Retrieves the value of a property with the given name. Properties can be used for UI hints such as display width and height.
  Parameters:
    `propertyName` - Name of the property to be retrieved.
  Returns:
    Value of the property with the given property name.

### getProperties

    public java.util.Hashtable getProperties()

  Gets the table of properties. This returns a hashtable to ensure any modification done by caller would be synchronized. Note that this API has not been added to the JSR yet.
  Returns:
    a hashtable of properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.